| ghc-6.10.4: The GHC API | Contents | Index

Debugger

Synopsis

pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()
showTerm :: GhcMonad m => Term -> m SDoc
pprTypeAndContents :: GhcMonad m => [Id] -> m SDoc

Documentation
pprintClosureCommand :: GhcMonad m => Bool -> Bool -> String -> m ()
The :print & friends commands
showTerm :: GhcMonad m => Term -> m SDoc
pprTypeAndContents :: GhcMonad m => [Id] -> m SDoc
Produced by Haddock version 2.4.2